Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2226064 - openocd: FTBFS in Fedora rawhide/f39
Summary: openocd: FTBFS in Fedora rawhide/f39
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openocd
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jiri Kastner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F39FTBFS F40FTBFS 2169551
TreeView+ depends on / blocked
 
Reported: 2023-07-25 18:50 UTC by Fedora Release Engineering
Modified: 2023-11-16 02:36 UTC (History)
5 users (show)

Fixed In Version: openocd-0.12.0-3.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-11-16 02:36:05 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2023-07-25 18:50 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2023-07-25 18:50 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2023-07-25 18:50 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2023-07-25 18:50:23 UTC
openocd failed to build from source in Fedora rawhide/f39

https://koji.fedoraproject.org/koji/taskinfo?taskID=103640028


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
Please fix openocd at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
openocd will be orphaned. Before branching of Fedora 40,
openocd will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2023-07-25 18:50:28 UTC
Created attachment 1978593 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2023-07-25 18:50:31 UTC
Created attachment 1978594 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2023-07-25 18:50:34 UTC
Created attachment 1978595 [details]
state.log

Comment 4 Fedora Release Engineering 2023-08-16 07:59:51 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.

Comment 5 Adam Williamson 2023-08-26 00:59:28 UTC
This looks like it's due to libgpiod going from 1.6 to 2.0, I think.

Comment 6 Adam Williamson 2023-08-26 01:02:42 UTC
https://sourceforge.net/p/openocd/tickets/306/ - pbrobinson pinged it in March, but no response yet.

Comment 7 Markus Rathgeb 2023-10-10 19:10:45 UTC
Until this is resolved (e.g. if upstream moves from libgpiod 1.6 to 2.0), would it be an option to remove "BuildRequires: libgpiod-devel" and replace "--enable-linuxgpiod" with "--disable-linuxgpiod" (or just remove the enable argument)? I did it in a COPR build for myself and so I could use openocd installed by the package manager again.

Comment 8 Jeremy Linton 2023-10-26 17:29:20 UTC
I would disable the gpiod support, as I don't imagine to many people are using it that way. Or at least not for long/seriously because AFAIK the GPIO adapter is fairly slow, and for just a few dollars can be replaced with a hardware JTAG adapter that runs an order of magnitude faster (Ex: I have a busblaster which has a CPLD to drive the JTAG signalling, current price $34).

Comment 9 Jeremy Linton 2023-10-26 17:57:39 UTC
Even on the rpi, which I'm assuming might be one of the more popular GPIO adapters, there is a custom bcm2835gpio driver, which doesn't appear to depend on libgpiod.

Comment 10 Fedora Update System 2023-11-07 20:31:00 UTC
FEDORA-2023-41222ff8dd has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-41222ff8dd

Comment 11 Fedora Update System 2023-11-08 02:58:41 UTC
FEDORA-2023-41222ff8dd has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-41222ff8dd`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-41222ff8dd

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2023-11-16 02:36:05 UTC
FEDORA-2023-41222ff8dd has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.